﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private B4XFloatTextField1 As B4XFloatTextField
	Private B4XFloatTextField2 As B4XFloatTextField
	Private B4XFloatTextField3 As B4XFloatTextField
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	B4XPages.SetTitle(Me,"B4XFloatTextField")
	
	SetFloatTextField(B4XFloatTextField1)
	SetFloatTextField(B4XFloatTextField2)
	SetFloatTextField(B4XFloatTextField3)
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click
	xui.MsgboxAsync("Hello world!", "B4X")
End Sub


Public Sub SetFloatTextField(FloatTextField As B4XFloatTextField)
	FloatTextField.SmallLabelTextSize = 14 'Hint Small
	FloatTextField.LargeLabelTextSize = 16 'Hint Large
	FloatTextField.TextField.TextSize = 16 'Text
	
	Dim TextFont As B4XFont = xui.CreateFont2(FloatTextField.HintFont, FloatTextField.SmallLabelTextSize)
	Dim TextWidth As Int = MeasureTextWidth(FloatTextField.HintText, TextFont)
	Dim BorderRadius As Int = 25
	
	FloatTextField.HintLabelSmallOffsetY =  5 'Inside
	FloatTextField.HintLabelSmallOffsetX = (FloatTextField.TextField.Width - TextWidth) - (BorderRadius + 5) 'Right
	FloatTextField.Update
	
	FloatTextField.TextField.SetColorAndBorder(xui.Color_White, DipToCurrent(2), xui.Color_Black, BorderRadius)
End Sub

Private Sub MeasureTextWidth(t As String, f As B4XFont) As Float
	Dim cvs As B4XCanvas
	Dim p As B4XView = xui.CreatePanel("")
	p.SetLayoutAnimated(0, 0, 0, 2dip, 2dip)
	cvs.Initialize(p)
	Dim Width As Float = cvs.MeasureText(t, f).Width
	Return Width
End Sub
